<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/elevertvol.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>elevertvol.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for elevertvol.c:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c__incl.png" border="0" usemap="#init_2elevertvol_8c_map" alt=""/></div>
<map name="init_2elevertvol_8c_map" id="init_2elevertvol_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="135,86,185,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="209,86,279,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="elevertvol_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e">tetgrad</a> (PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4, PetscReal D_etaj[][ND])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="elevertvol_8c.html#aef5a137b230e99388bfdb98e300fb741">tetqual</a> (PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="elevertvol_8c.html#a84b0acadfde91d8c984091ed850ab6bf">edgestat</a> (int nele, int *ele, PetscReal *xyz, PetscReal *min, PetscReal *max, PetscReal *avg)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="elevertvol_8c.html#a2103238be825fa27dce52bbc795d532d">EleVertVol</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a84b0acadfde91d8c984091ed850ab6bf"></a><!-- doxytag: member="elevertvol.c::edgestat" ref="a84b0acadfde91d8c984091ed850ab6bf" args="(int nele, int *ele, PetscReal *xyz, PetscReal *min, PetscReal *max, PetscReal *avg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal edgestat </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>nele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>xyz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>max</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>avg</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="elevertvol_8c_source.html#l00104">104</a> of file <a class="el" href="elevertvol_8c_source.html">elevertvol.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00128">my_dnrm2</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_a84b0acadfde91d8c984091ed850ab6bf_icgraph.png" border="0" usemap="#elevertvol_8c_a84b0acadfde91d8c984091ed850ab6bf_icgraph_map" alt=""></div>
<map name="elevertvol_8c_a84b0acadfde91d8c984091ed850ab6bf_icgraph_map" id="elevertvol_8c_a84b0acadfde91d8c984091ed850ab6bf_icgraph">
<area shape="rect" id="node3" href="init_8h.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="125,5,208,35"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="256,5,315,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="363,5,413,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2103238be825fa27dce52bbc795d532d"></a><!-- doxytag: member="elevertvol.c::EleVertVol" ref="a2103238be825fa27dce52bbc795d532d" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int EleVertVol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="elevertvol_8c_source.html#l00178">178</a> of file <a class="el" href="elevertvol_8c_source.html">elevertvol.c</a>.</p>

<p>References <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00193">GridData::elenmax</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00211">GridData::n_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00210">GridData::n_vert_bnd</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, <a class="el" href="elevertvol_8c_source.html#l00074">tetqual()</a>, <a class="el" href="tettri_8c_source.html#l00055">tetvol()</a>, <a class="el" href="griddata_8h_source.html#l00263">GridData::totvol</a>, <a class="el" href="griddata_8h_source.html#l00181">GridData::vertvol</a>, <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_cgraph.png" border="0" usemap="#elevertvol_8c_a2103238be825fa27dce52bbc795d532d_cgraph_map" alt=""></div>
<map name="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_cgraph_map" id="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_cgraph">
<area shape="rect" id="node3" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="136,5,211,35"/><area shape="rect" id="node8" href="elevertvol_8c.html#a84b0acadfde91d8c984091ed850ab6bf" title="edgestat" alt="" coords="137,58,209,89"/><area shape="rect" id="node10" href="elevertvol_8c.html#aef5a137b230e99388bfdb98e300fb741" title="tetqual" alt="" coords="143,111,204,142"/><area shape="rect" id="node12" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="261,137,315,167"/><area shape="rect" id="node5" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="260,5,316,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_icgraph.png" border="0" usemap="#elevertvol_8c_a2103238be825fa27dce52bbc795d532d_icgraph_map" alt=""></div>
<map name="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_icgraph_map" id="elevertvol_8c_a2103238be825fa27dce52bbc795d532d_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="136,5,195,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="243,5,293,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="add57a81e67724a47fc306e81ccec2a5e"></a><!-- doxytag: member="elevertvol.c::tetgrad" ref="add57a81e67724a47fc306e81ccec2a5e" args="(PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4, PetscReal D_etaj[][ND])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal tetgrad </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x4</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>D_etaj</em>[][ND]</td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="elevertvol_8c_source.html#l00030">30</a> of file <a class="el" href="elevertvol_8c_source.html">elevertvol.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, and <a class="el" href="tettri_8c_source.html#l00055">tetvol()</a>.</p>

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, and <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_cgraph.png" border="0" usemap="#elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_cgraph_map" alt=""></div>
<map name="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_cgraph_map" id="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_cgraph">
<area shape="rect" id="node3" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="119,5,172,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_icgraph.png" border="0" usemap="#elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_icgraph_map" alt=""></div>
<map name="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_icgraph_map" id="elevertvol_8c_add57a81e67724a47fc306e81ccec2a5e_icgraph">
<area shape="rect" id="node3" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="121,134,215,165"/><area shape="rect" id="node52" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="117,81,219,111"/><area shape="rect" id="node5" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="271,134,340,165"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="393,158,439,189"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="489,55,591,86"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="499,162,581,193"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1357,187,1416,218"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1201,315,1287,346"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="505,109,575,139"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1180,187,1308,218"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="669,109,747,139"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="661,162,755,193"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1360,241,1413,271"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1464,214,1515,245"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="825,6,951,37"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="849,59,927,90"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="841,162,935,193"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1000,58,1131,89"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1039,162,1092,193"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="640,5,776,35"/><area shape="rect" id="node54" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="268,81,343,111"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aef5a137b230e99388bfdb98e300fb741"></a><!-- doxytag: member="elevertvol.c::tetqual" ref="aef5a137b230e99388bfdb98e300fb741" args="(PetscReal *x1, PetscReal *x2, PetscReal *x3, PetscReal *x4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal tetqual </td>
          <td>(</td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>x4</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="elevertvol_8c_source.html#l00074">74</a> of file <a class="el" href="elevertvol_8c_source.html">elevertvol.c</a>.</p>

<p>References <a class="el" href="tettri_8c_source.html#l00055">tetvol()</a>.</p>

<p>Referenced by <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_cgraph.png" border="0" usemap="#elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_cgraph_map" alt=""></div>
<map name="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_cgraph_map" id="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_cgraph">
<area shape="rect" id="node3" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="116,5,169,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_icgraph.png" border="0" usemap="#elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_icgraph_map" alt=""></div>
<map name="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_icgraph_map" id="elevertvol_8c_aef5a137b230e99388bfdb98e300fb741_icgraph">
<area shape="rect" id="node3" href="init_8h.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="115,5,197,35"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="245,5,304,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="352,5,403,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

